﻿Imports Wiker.WIDatabase
Imports System.Collections.ObjectModel
Imports System.Text


Module Module1

    Sub Main()
        Dim WIDB As WIDatabase        
        Dim DBInfo As CDatabaseInfo
        Dim ColumnInfo As Collection(Of TableColumnItem)
        Dim StrB As StringBuilder

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ColumnInfo = New Collection(Of TableColumnItem)

        ' Create WIDatabase object 
        WIDB = New WIDatabase(DBInfo)

        If Not WIDB.Table.GetColumnInfo("tblAddress", ColumnInfo) Then
            Console.WriteLine(String.Format("Failed To GetColumnInfo" & vbLf & "{0} - {1}", WIDB.LastError.ToString(), WIDB.LastErrorMessage))
            Return
        End If

        Console.WriteLine("| DataTypeName | ColumnName | FieldType |")

        ' loop thru the data 

        For Each Item As TableColumnItem In ColumnInfo
            StrB = New StringBuilder()
            StrB.AppendFormat("| {0} ", Item.DataTypeName)
            StrB.AppendFormat("| {0} ", Item.ColumnName)
            StrB.AppendFormat("| {0} | ", Item.FieldType)
            Console.WriteLine(StrB.ToString())
        Next

        ' Good practice is to close the DB when finished 
        WIDB.Close()

    End Sub

End Module
